/*!
 * @file      FavoriteCreateDlg.h
 * @brief     ã  â
 * @author    Jinwoo.Lee(jinwoo.lee@nhn.com)
 * @date      2012-03-29 
 * @warning   
 */
#pragma once
#include "BaseDlgStyleOne.h"
#include "afxwin.h"

class CFavoriteCreateDlg : public CBaseDlgStyleOne, 
    private IGTWASActorEvent ,
    private IGTMessengerActorEvent
{
	DECLARE_DYNAMIC(CFavoriteCreateDlg)

public:
	CFavoriteCreateDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CFavoriteCreateDlg();

	enum { IDD = IDD_FAVORITE_CREATE_DIALOG };

	int GetCreatedGroupID()	{ return m_nNewGroupID; }

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	void __ResourceLoad(BOOL bInit);
	virtual bool	OnGTMessengerActor_ResponseBuddyGroupAction(IGTMessengerActor *pActor, const GT_BUDDY_GROUP_RESULT_DATA& sData, GTBuddyAddGroupType addGroupType);

	DECLARE_MESSAGE_MAP()

private:
	CEdit m_edName;
	CStatic m_stInfo;

	CButton m_btnOK;
	CButton m_btnCancel;
	int m_nNewGroupID;
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};
